<?php

use Carbon\Carbon;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('game_settings', function (Blueprint $table) {
            $table->id();
            $table->integer('one_minute_manual')->nullable();
            $table->integer('two_minute_manual')->nullable();
            $table->integer('three_minute_manual')->nullable();
            $table->integer('five_minute_manual')->nullable();
            $table->integer('one_minute_code')->nullable();
            $table->integer('two_minute_code')->nullable();
            $table->integer('three_minute_code')->nullable();
            $table->integer('five_minute_code')->nullable();
            $table->timestamp('created_at')->default(Carbon::now());
            $table->timestamp('updated_at')->default(Carbon::now());
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //
    }
};
